import { ToadScheduler, SimpleIntervalJob, Task } from 'toad-scheduler'

const startSchedule = (func) => {
    const scheduler = new ToadScheduler()
    const task = new Task('auto_recharge_task', () => {
        func()
    })
    const job = new SimpleIntervalJob({ minutes: 60 }, task)

    scheduler.addSimpleIntervalJob(job)
    // when stopping your app
    // scheduler.stop()
}

export default { startSchedule }
